Bug 20622 - Add some color to bootstrap modal headers and footers
Summary: Add some color to bootstrap modal headers and footers
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-19 13:57 UTC by Kyle M Hall
Modified: 2018-07-18 11:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Before (144.50 KB, image/png)
2018-04-19 13:57 UTC, Kyle M Hall
Details
After (177.02 KB, image/png)
2018-04-19 13:57 UTC, Kyle M Hall
Details
Bug 20622: Add some color to bootstrap modal headers and footers (1.11 KB, patch)
2018-04-19 14:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20622: Add some color to bootstrap modal headers and footers (1.32 KB, patch)
2018-04-20 10:08 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 20622: Add some color to bootstrap modal headers and footers (1.35 KB, patch)
2018-04-22 16:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-04-19 13:57:17 UTC
Right now the bootstrap modal header, body and footer are all white. It would be nice to give them a bit of color.
Comment 1 Kyle M Hall 2018-04-19 13:57:40 UTC
Created attachment 74557 [details]
Before
Comment 2 Kyle M Hall 2018-04-19 13:57:58 UTC
Created attachment 74558 [details]
After
Comment 3 Kyle M Hall 2018-04-19 14:00:11 UTC
Created attachment 74559 [details] [review]
Bug 20622: Add some color to bootstrap modal headers and footers

Right now the bootstrap modal header, body and footer are all white. It would be nice to give them a bit of color.

Test Plan:
1) Apply this patch
2) Find a patron, click the 'add message' button
3) Note the modal header and footer now have a background color
Comment 4 Owen Leonard 2018-04-19 14:36:20 UTC
Because of the way the modal is styled, changing the background color this way has a side-effect of eliminating the rounded corners on the modal. Since this wasn't an explicit choice I'm going to suggest an alternative:

On line 2674:

.modal-body {
    background-color: #FFF;
    overflow-y: auto;
}

.modal-content {
    background-color : #EDF4F6;
}
Comment 5 Kyle M Hall 2018-04-20 10:08:27 UTC
Created attachment 74606 [details] [review]
Bug 20622: Add some color to bootstrap modal headers and footers

Right now the bootstrap modal header, body and footer are all white. It would be nice to give them a bit of color.

Test Plan:
1) Apply this patch
2) Find a patron, click the 'add message' button
3) Note the modal header and footer now have a background color

Signed-off-by: Kyle M Hall <kyle@bywatetsolutions.com>
Comment 6 Kyle M Hall 2018-04-20 10:09:16 UTC
That looks perfect! Thanks Owen. I authored the patch in your name and added my sign-off to it!

(In reply to Owen Leonard from comment #4)
> Because of the way the modal is styled, changing the background color this
> way has a side-effect of eliminating the rounded corners on the modal. Since
> this wasn't an explicit choice I'm going to suggest an alternative:
> 
> On line 2674:
> 
> .modal-body {
>     background-color: #FFF;
>     overflow-y: auto;
> }
> 
> .modal-content {
>     background-color : #EDF4F6;
> }
Comment 7 Katrin Fischer 2018-04-22 16:07:34 UTC
Created attachment 74694 [details] [review]
Bug 20622: Add some color to bootstrap modal headers and footers

Right now the bootstrap modal header, body and footer are all white. It would be nice to give them a bit of color.

Test Plan:
1) Apply this patch
2) Find a patron, click the 'add message' button
3) Note the modal header and footer now have a background color

Signed-off-by: Kyle M Hall <kyle@bywatetsolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2018-04-23 17:29:38 UTC
Pushed to master for 18.05, thanks to everybody involved!